import '../model/walker.dart';
import '../model/walker_dao.dart';

class WalkerCaller {
  List<Walker> _walkerList = [];

  Future<List<Walker>> getWalkers() async {
    WalkerDao walkerDao = WalkerDao();
    walkerDao.getWalkerQuery().onValue.listen((event) {
      var data = event.snapshot.value;
      List<dynamic> listData = data as List<dynamic>;
      for (int i = 0; i < listData.length; i++) {
        var jsonItem = data[i] as Map<dynamic, dynamic>;
        var walker = Walker.fromJson(jsonItem);
        _walkerList.add(walker);
      }
    });
    return _walkerList;
  }
}
